using Microsoft.AspNetCore.Http;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Tsi1.BusinessLayer.Dtos;
using Tsi1.BusinessLayer.Helpers;

namespace Tsi1.BusinessLayer.Interfaces
{
    public interface IFileService
    {
        Task<ServiceResult<FileDto>> Create(IFormFile file, int tenantId, int courseId);

        void CreateFolder(string folderPath);

        void DeleteFolder(string folderPath);
    }
}
