﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Tsi1.DataLayer.Entities
{
    public class Course
    {
        public Course()
        {
            StudentCourses = new HashSet<StudentCourse>();
            ProfessorCourses = new HashSet<ProfessorCourse>();
            Forums = new HashSet<Forum>();
        }

        public int Id { get; set; }
        
        public string Name { get; set; }

        public int TenantId { get; set; }

        public Tenant Tenant { get; set; }

        public ICollection<StudentCourse> StudentCourses { get; set; }
        public ICollection<ProfessorCourse> ProfessorCourses { get; set; }
        public ICollection<Forum> Forums { get; set; }
    }
}
